Phar::extractTo
Phar::getModified
Phar
PHP Manual

# Phar::getMetadata

Returns phar archive meta-data

### Description

public mixed Phar::getMetadata ( void )

Retrieve archive meta-data. Meta-data can be any PHP variable that can be serialized.

### Parameters

No parameters.

### Return Values

any PHP variable that can be serialized and is stored as meta-data for the Phar archive, or `NULL` if no meta-data is stored.

### Examples

Example #1 A Phar::getMetadata example

`<?php
// make sure it doesn't exist
@unlink('brandnewphar.phar');
try {
$p = new Phar(dirname(__FILE__) . '/brandnewphar.phar', 0, 'brandnewphar.phar');
$p['file.php'] = '<?php echo "hello";';
$p->setMetadata(array('bootstrap' => 'file.php'));
var_dump($p->getMetadata());
} catch (Exception $e) {
echo 'Could not modify phar:', $e;
}
?>`

The above example will output:

    array(1) {
      ["bootstrap"]=>
      string(8) "file.php"
    }

### See Also

- Phar::setMetadata
- Phar::delMetadata
- Phar::hasMetadata